# Algorithms_in_C++: ciphers Namespace Reference

Loading...
Searching...
No Matches
ciphers Namespace Reference

Algorithms for encryption and decryption. More...

## Namespaces

namespace | elliptic_curve_key_exchange
| namespace elliptic_curve_key_exchange

## Classes

class | HillCipher
| Implementation of Hill Cipher algorithm. More...

## Variables

static const char * | STRKEY

## Detailed Description

Algorithms for encryption and decryption.

for IO operations

Base64 Encoding and Decoding

for std::string

for std::transform and std::replace for assert for uint8_t for IO operations for std::map for std::stringstream for std::string for std::vector

for assert for IO operations for std::map

Algorithms for encryption and decryption

In programming, Base64 is a group of binary-to-text encoding schemes that represent binary data (more specifically, a sequence of 8-bit bytes) in an ASCII string format by translating the data into a radix-64 representation. The term Base64 originates from a specific MIME content transfer encoding. Each non-final Base64 digit represents exactly 6 bits of data. Three 8-bit bytes (i.e., a total of 24 bits) can therefore be represented by four 6-bit Base64 digits.

Author
  Ashish Daulatabad for `std::array` for `assert` operations for IO operations

Cipher algorithms

for assert for 256-bit integer

Cipher algorithms

## Variable Documentation

## STRKEY

const char* ciphers::STRKEY

static

Initial value:
=
"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789~!@#$%^&"
"*()_+`-=[]{}|;':\",./<>?\\\r\n \0"

dictionary of characters that can be encrypted and decrypted